# Class HTMLDocument.HTMLReader.IsindexAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
javax.swing.text.html.HTMLDocument.HTMLReader.IsindexAction

Enclosing class:
  `HTMLDocument.HTMLReader`

public class HTMLDocument.HTMLReader.IsindexAction extends HTMLDocument.HTMLReader.TagAction
Action assigned by default to handle the Isindex task of the reader.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsindexAction()`
  Constructs a `IsindexAction`.

- ## Method Summary

  ### Methods declared in class HTMLDocument.HTMLReader.TagAction

  `end, start`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IsindexAction

    public IsindexAction()
    Constructs a `IsindexAction`.